<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, MacBook Pro Bluetooth" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - MacBook Pro Bluetooth</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>
            EndeavourOS jak opravit nefunkční Bluetooth po instalaci na MacBook
            Pro 2015
        </h1>
        <p>
            Někteří z vás uvažují na starším MacBooku přejít na Linux a
            EndeavourOS na něm funguje skvěle.
        </p>
        <p>
            Bohužel se vám může stát, že po instalaci vám nepůjde Bluetooth, ale
            to se dá naštěstí velmi dobře opravit.
        </p>
        <p>
            Tuto distribuci je možné nainstalovat pomocí live image offline což je
            výhoda, že nefunkční Bluetooth se bude řešit až po instalaci.
        </p>
        <p>
            Pokud nemáte WiFi připojení v Macbooku, kabelem připojíme k MacBooku
            telefon, který je na WiFi. Pokud máte neomezené data nemusíte být na
            WiFi.
        </p>
        <p>
            Na telefonu po připojení potvrdíte, že důvěřujete tomuto zařízení a
            MacBook se připojí k internetu.
        </p>
        <p>
            V aplikacích najdeme aplikaci Welcome a klikneme na Update Mirrors.
        </p>
        <p>Pak dáme Update System.</p>
        <p>Až se systém aktualizuje přejdeme na samotnou instalaci ovladačů.</p>
        <p>Zapneme aplikaci Terminal (Console).</p>
        <p>1. Do terminálu zadáme:</p>
        <div class="code-box">
          <pre id="code-content">
            lsmod | grep btusb
          </pre>
        </div>
        <p>Pokud vám terminál vypsal něco podobného: Terminal</p>
        <img alt="" src="img/Pasted-image-20240226010843-300x69.png" style="width: 50%;height: auto;"/>
        <p>Můžete jít rovnou na krok 4.</p>
        <p>
            Pokud vám nic takového nevypsal nebo vypsal chybu, nemáte instalované
            ovladače na Bluetooth. Pokračujte dále.
        </p>
        <p>2. Nainstalujeme ovladače Bluetooth, do terminálu zadáme:</p>
        <div class="code-box">
          <pre id="code-content">
            sudo pacman -S bluez
            sudo pacman -S bluez-utils
            sudo pacman -S blueman
          </pre>
        </div>
        <p>3. Znovu ověříme zda jsou už nainstalované:</p>
        <div class="code-box">
          <pre id="code-content">
          lsmod | grep btusb
        </pre
        >
        </div>
        <p>4. Dále spustíme službu Bluetooth:</p>
        <div class="code-box">
          <pre id="code-content">
            sudo systemctl start bluetooth.service
        </pre
        >
        </div>
        <p>
            5. Pokud chcete aby se vám služba spouštěla automaticky tak ji
            povolíme:
        </p>
        <div class="code-box">
          <pre id="code-content">
            sudo systemctl enable bluetooth.service
        </pre
        >
        </div>
        <p>6. Restartujeme MacBook</p>
        <p>
            7. V nastavení systému nebo v nástrojové lište podle toho jaké máte
            nainstalované prostředí spárujeme vaše Bluetooth zařízení.
        </p>
        <p>
            Návod nezaručuje stoprocentní funkčnost, ale byl ozkoušen na více
            MacBooků s procesory Intel a vřdy tento postup fungoval.
        </p>
        <code
        ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            17.4.2024</code
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>
<script src="assets/script.js"></script>
</body>
</html>
